## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanEXSLTFunctionNodeSet Class Reference

`#include <XalanEXSLTCommonImpl.hpp>`

Inheritance diagram for XalanEXSLTFunctionNodeSet:

[legend]
Collaboration diagram for XalanEXSLTFunctionNodeSet:

[legend]
List of all members.

## Public Methods

- XalanEXSLTFunctionNodeSet ()
- virtual ~XalanEXSLTFunctionNodeSet ()
- virtual XalanEXSLTFunctionNodeSet* clone () const
    Create a copy of the function object. More...

## Protected Methods

- virtual const XalanDOMString getError () const
    Get the error message to report when the function is called with the wrong number of arguments. More...
- virtual const XalanDOMString getInvalidArgumentTypeError () const

## Constructor & Destructor Documentation

XalanEXSLTFunctionNodeSet::XalanEXSLTFunctionNodeSet ( | )

XalanEXSLTFunctionNodeSet::~XalanEXSLTFunctionNodeSet ( | )`[virtual]`

## Member Function Documentation

XalanEXSLTFunctionNodeSet * XalanEXSLTFunctionNodeSet::clone ( | ) const`[virtual]`

| Create a copy of the function object. Returns: pointer to the new object Reimplemented from FunctionNodeSet.

const XalanDOMString XalanEXSLTFunctionNodeSet::getError ( | ) const`[protected, virtual]`

| Get the error message to report when the function is called with the wrong number of arguments. Returns: function error message Reimplemented from FunctionNodeSet.

const XalanDOMString XalanEXSLTFunctionNodeSet::getInvalidArgumentTypeError ( | ) const`[protected, virtual]`

| Reimplemented from FunctionNodeSet.

The documentation for this class was generated from the following file:

- XalanEXSLTCommonImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.